RequestHandlerUtils (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.RequestHandlerUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler
Class RequestHandlerUtils

    java.lang.Object
      org.apache.solr.handler.RequestHandlerUtils

    public class RequestHandlerUtils

extends Object

Common helper functions for RequestHandlers

Since:
  solr 1.2
Version:
  $Id: RequestHandlerUtils.java 898152 2010-01-12 02:19:56Z ryan $

Constructor Summary
`RequestHandlerUtils()`

Method Summary
`static void` | `addExperimentalFormatWarning(SolrQueryResponse rsp)` A common way to mark the response format as experimental
`static boolean` | `handleCommit(SolrQueryRequest req, SolrQueryResponse rsp, boolean force)` Deprecated. Use `handleCommit(UpdateRequestProcessor,SolrParams,boolean)`
`static boolean` | `handleCommit(UpdateRequestProcessor processor, SolrParams params, boolean force)` Check the request parameters and decide if it should commit or optimize.
`static boolean` | `handleRollback(UpdateRequestProcessor processor, SolrParams params, boolean force)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestHandlerUtils

    public RequestHandlerUtils()

Method Detail

### addExperimentalFormatWarning

    public static void addExperimentalFormatWarning(SolrQueryResponse rsp)

  A common way to mark the response format as experimental

### handleCommit

    @Deprecated
    public static boolean handleCommit(SolrQueryRequest req,
                                                  SolrQueryResponse rsp,
                                                  boolean force)
                                throws IOException

  Deprecated. Use `handleCommit(UpdateRequestProcessor,SolrParams,boolean)`

  Check the request parameters and decide if it should commit or optimize. If it does, it will check parameters for "waitFlush" and "waitSearcher"

  Throws:
    `IOException`
  Since:
    solr 1.2

### handleCommit

    public static boolean handleCommit(UpdateRequestProcessor processor,
                                       SolrParams params,
                                       boolean force)
                                throws IOException

  Check the request parameters and decide if it should commit or optimize. If it does, it will check parameters for "waitFlush" and "waitSearcher"

  Throws:
    `IOException`

### handleRollback

    public static boolean handleRollback(UpdateRequestProcessor processor,
                                         SolrParams params,
                                         boolean force)
                                  throws IOException

  Throws:
    `IOException`
  Since:
    Solr 1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD